Description

When you check for errors, there can be some warnings or extenuating circumstances under which you can live with certain errors.
There would ideally be a "ignore this error" option which would make it go away. Perhaps also one for "ignore this error always."

Not sure how best to implement this. There is one option of the error registry, which would be easier to completely turn off errors.
Also, there would be the option of adding a new field (errorsTolgnore) where the ignored text would be put, then filtered out of the
errors field after it was compiled. It could be replaced with "--ignored--" or something that would be easy to see that there was
something still slightly amiss. Then we also need to think about how to manage errors being on or off, ignored, etc. Also, interface
isn't entirely clear, as where do you click, can you select 2 at once? If they click on the text, then we could grab the error from there,
then add to errorsTolgnore.

History

#1 - 05/25/2007 04:16 PM - Michael Lee

You can now ignore errors. Still some minor issues with msgBoxes continuing too long and errors not getting rechecked smoothly, as well as we
need to open up management of ignored errors so that stuff can get turned back on, and user needs to be told that errors are ignored after errors are
checked.

#2 - 06/01/2007 03:17 PM - Michael Lee
after ignoring errors, you can reset to not ignore anything. It's not elegant (as it's all or nothing), but it's better than not being able to ignore errors or

reset that.

#3 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2762
